Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1316835 - Add MIPS personalities
Summary: Add MIPS personalities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 25
Hardware: mips64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-11 09:22 UTC by Michal Toman
Modified: 2016-09-23 08:05 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 08:05:25 UTC


Attachments (Terms of Use)
Add-MIPS-personalities.patch (deleted)
2016-03-11 09:22 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-11 09:22:35 UTC
Created attachment 1135157 [details]
Add-MIPS-personalities.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding MIPS personalities to mock.

Actual results:
No MIPS personalities in mock, building 32-bit packages on 64-bit hosts causes problems.

Expected results:
MIPS personalities are defined properly in mock.

Additional info:
Attaching a patch. It would be great if this could also be applied to F24.

Comment 1 Miroslav Suchý 2016-03-11 12:36:04 UTC
Applied as:
* 35fe683 (HEAD -> devel, origin/devel) Add MIPS personalities

Comment 2 Jan Kurik 2016-07-26 04:49:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Miroslav Suchý 2016-09-23 08:05:25 UTC
This somehow went off the radar. This fix is already in mock-1.2.21, which is either in updates or in stable.


Note You need to log in before you can comment on or make changes to this bug.